/*
*$Author: cf $
*$Id: epass1.c,v 1.1 2001/02/22 07:43:36 cf Exp $
*/
#include <linux/config.h>
#include <linux/kernel.h>
#include <linux/module.h>
#include <linux/miscdevice.h>
#include <asm/uaccess.h>
#include <linux/fs.h>
#include <linux/usb.h>
#include "rockey_ver.h"
extern int epass_init();
extern void epass_exit();
extern int epass_ioctl(struct inode *inode,struct file *file,unsigned int cwd,unsigned long arg);

int epass_open(struct inode *inode,struct file *file)
{
	MOD_INC_USE_COUNT;
	return 0;
}
int epass_close(struct inode *inode,struct file *file)
{
	MOD_DEC_USE_COUNT;
	return 0;
}

struct file_operations Fops={
	ioctl:epass_ioctl,	
	open:epass_open,
	release:epass_close
};

struct miscdevice epass_device={
	140,
	"epass",
	&Fops
};
int init_module()
{
	return epass_init();
}
void cleanup_module()
{
	return epass_exit();
}


