#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <unistd.h>
#include <sys/signal.h>
#include <sys/types.h>
#include <string.h>
#include <fcntl.h>
#include "epassapi.h"

static void epass_remove(void);
static void epass_insert(void);
int main(int argc,char ** argv)
{
	EPAS_STATUS ret;
	struct sigaction action;
	EPAS_HANDLE handle;
	
	/*óΪػ*/

	switch(fork()){
	case -1:
		perror("create new process");
		exit(1);
		break;
	case 0:
		break;
	default:
		exit(0);
	}

	/*setsidʹýͬɻỰ̷*/
	ret=setsid();
	if(ret<0)
		exit(1);


	/*е2forkʹ̲ǻỰ̵ͷ̣
	 *ٴնΪԼն
	 */
	switch(fork()){
	case -1:
		exit(1);
	case 0:
		break;
	default:
		exit(0);
	}

	/*޸Ľ̵ĵǰĿ¼*/
	chdir("/");

	/*̵ļ*/
	umask(0);

	/*ʹýԭĽ飬ܷԭźŵĸ*/
	setpgrp();

	/*رս̵ļ*/
/*	for(i=0;i<3;i++)
		close(i);

	open("/dev/null",O_RDWR);
	dup(1);
	dup(2);*/


	/*SIGINTSIGHUPSIGQUITSIGCHLDź*/
	action.sa_handler=SIG_IGN;
	sigaction(SIGINT,&action,NULL);
	sigaction(SIGHUP,&action,NULL);
	sigaction(SIGQUIT,&action,NULL);
	sigaction(SIGCHLD,&action,NULL);
	
	ret=epas_CreateContext(&handle,0,0);
	ret=epas_OpenDevice(handle,EPAS_OPEN_FIRST,0);
	epass_probe(epass_insert,epass_remove);
	ret=epas_CloseDevice(handle);
	ret=epas_DeleteContext(handle);
	for(;;){}	
	return 0;	
}
static void epass_remove()
{
	system("/bin/ls");
	return;
}	
static void epass_insert()
{
	printf("insert epass\n");
	return;
}	
