#ifndef ROCKEY_VER__H
#define ROCKEY_VER__H
#include <linux/modversions.h>
#include <asm/uaccess.h>
#include <linux/usb.h>
extern int RY_Init();
extern void RY_cleanup();
extern int rockey_ioctl();
int rockey_register(struct miscdevice* misc)
{
 	return misc_register(misc);
}
int rockey_unregister(struct miscdevice* misc)
{
 	return misc_deregister(misc);
}
char * rockey_alloc(int size,int flag)
{
  return (char*)kmalloc(size,flag);
}
void  rockey_free(void*  dest)
{
	kfree((char*)dest);
}
int rockey_usb_register(struct usb_driver * driver)
{
	return  usb_register(driver);
}
void rockey_usb_unregister(struct usb_driver* driver)
{
	usb_deregister(driver);
}
int rockey_configuration(struct usb_device* dev,int conf)
{
	return usb_set_configuration(dev,conf);
}
int rockey_mesg(struct usb_device *dev, unsigned int p, __u8 r, __u8 rt, __u16 v, __u16 n, void *data, __u16 size, int t)
{
	return usb_control_msg(dev, p, r, rt,v,n, data, size, t);
}
int rockey_transfer(char* to, char* from,int c)
{
	return copy_to_user(to,from, c);
}
int rockey_transfer1(char* to,char* from,int c)
{
	return copy_from_user(to,from,c);
}
	
int rockey_clear_halt(struct usb_device* dev,unsigned int p)
{
	return usb_clear_halt(dev,p);
}
int rockey_proc(pid_t proc ,int x,int y)
{
	return kill_proc(proc,x,y);
}
#endif
